> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign On

> Provides a URL that can be used to sign the user into the system.



## OpenAPI

````yaml POST /users/{userid}/signon
openapi: 3.0.3
info:
  title: Multi-Server API
  version: 1.0.0
servers:
  - url: https://api.defaultservice.com/v1
    description: Default service base URL
security:
  - basicAuth: []
paths:
  /users/{userid}/signon:
    servers:
      - url: https://api.smartermeasure.com/v3
        description: SmarterMeasure User Service
    post:
      summary: Provides a URL that can be used to sign the user into the system.
      parameters:
        - in: path
          name: userid
          required: true
          schema:
            type: number
          description: User that should be returned.
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                UseSSL:
                  type: boolean
                  default: true
                  description: >-
                    If this is set to true, the redirect URL will be provided
                    with https.
                IncludeSettings:
                  type: boolean
                  default: false
                  description: >-
                    If set to true, the custom settings supplied with the
                    integration you are using will be applied.
                RedirectToSection:
                  type: string
                  description: >-
                    This only applies to disaggregate mode. If supplied the user
                    will be directed to this section of the assessment upon
                    logging in. Use the section code (e.g. LearnStyles,
                    LifeFactors).
      responses:
        '200':
          description: Sign-on URL for the user.
          content:
            application/json:
              example:
                RequestId: c03a3436-4726-4902-93401d56ce5028f5
                TimeStamp: '2026-06-09T20:45:20Z'
                RedirectUrl: >-
                  https://nexus.smartermeasure.com/assessmentpublic.ssologin/requestid/c03a3436-4726-4902-93401d56ce5028f5
              schema:
                type: object
                properties:
                  RequestId:
                    type: string
                    description: Unique identifier for this sign-on request.
                  TimeStamp:
                    type: string
                    format: date-time
                    description: The date and time the sign-on request was created.
                  RedirectUrl:
                    type: string
                    description: >-
                      The URL to redirect the user to in order to sign them into
                      the assessment.
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Basic authentication with username and password

````